Bug 462152 - Missing deps on redhat-ds-base-devel RPM?
Missing deps on redhat-ds-base-devel RPM?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Install/Uninstall (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2008-09-12 21:26 EDT by Steve Bonneville
Modified: 2015-01-04 18:34 EST (History)
2 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2008-09-12 21:26:14 EDT
Description of problem:

In Red Hat Directory Server 8.0, the redhat-ds-base-devel RPM appears to be missing dependencies on mozldap-devel (for ldap.h) and nspr-devel (for prtypes.h) for two include files referenced by slapi-plugin.h.  If these two additional packages are not installed, builds of new plugins using slapi-plugin.h will fail.

Version:

redhat-ds-base-devel-8.0.0-12.el5dsrv
Comment 1 Nathan Kinder 2009-01-30 12:56:14 EST
Added a dependency on mozldap6-devel (RHEL4) and mozldap-devel (RHEL5) to the redhat-ds-base-devel package.

Checking in DSRV-8_1-RHEL4/redhat-ds-base.spec;
/cvs/dist/rpms/redhat-ds-base/DSRV-8_1-RHEL4/redhat-ds-base.spec,v  <--  redhat-ds-base.spec
new revision: 1.26; previous revision: 1.25
done
Checking in DSRV-8_1-RHEL5/redhat-ds-base.spec;
/cvs/dist/rpms/redhat-ds-base/DSRV-8_1-RHEL5/redhat-ds-base.spec,v  <--  redhat-ds-base.spec
new revision: 1.29; previous revision: 1.28
done
Comment 2 Jenny Galipeau 2009-03-20 15:59:01 EDT
fix verified - DS 8.1 RHEL 4 and RHEL 5
Comment 3 Chandrasekar Kannan 2009-04-29 19:06:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.